> ## Documentation Index
> Fetch the complete documentation index at: https://docs.p2p.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a staking transaction

> Create an unsigned staking transaction for the Story network.



## OpenAPI

````yaml POST /api/v1/story/{network}/staking/stake
openapi: 3.0.0
info:
  title: Staking API
  description: API used for staking
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.p2p.org/api
security:
  - bearer: []
tags:
  - name: Aptos
    description: Aptos staking operations (stake, unstake, withdraw, claim).
  - name: Celestia
    description: Celestia staking operations (stake, unstake, redelegate, claim).
  - name: Cosmos
    description: Cosmos Hub staking operations (stake, unstake, redelegate, claim).
  - name: EigenLayer
    description: EigenLayer restaking operations.
  - name: Ethereum
    description: Ethereum staking operations (direct, SSV, pooled).
  - name: Hyperliquid
    description: Hyperliquid staking operations.
  - name: Monad
    description: Monad staking operations (delegate, undelegate, withdraw).
  - name: P2P SSV
    description: P2P-managed SSV validator operations (deposit, claim, withdraw).
  - name: Polkadot
    description: Polkadot staking and nomination pool operations.
  - name: Polygon
    description: Polygon staking operations.
  - name: Pooled Staking
    description: Pooled staking vault operations (deposit, unstake, withdraw).
  - name: Sei
    description: Sei staking operations (stake, unstake, redelegate, claim).
  - name: Solana
    description: Solana staking operations (stake, split, merge, deactivate, withdraw).
  - name: SSV
    description: SSV network validator operations.
  - name: Story
    description: Story network staking operations.
  - name: Sui
    description: Sui staking operations.
  - name: TON
    description: TON staking operations (single nominator, whales pool).
  - name: TRON
    description: TRON staking operations (freeze, delegate, vote, withdraw).
  - name: Unified
    description: Unified multi-chain staking interface.
paths:
  /api/v1/story/{network}/staking/stake:
    post:
      tags:
        - Story
      summary: Create a staking transaction
      description: Create an unsigned staking transaction for the Story network.
      operationId: story-staking-stake
      parameters:
        - name: network
          required: true
          in: path
          description: >-
            <p>Story network:</p><ul><li>`mainnet` — Story
            mainnet.</li><li>`Aeneid` — Aeneid testnet.</li></ul>
          schema:
            enum:
              - mainnet
              - aeneid
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoryStakeTransactionRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponse'
                  - type: object
                    properties:
                      result:
                        $ref: '#/components/schemas/StoryStakeTransactionResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ExceptionResponse'
                  - type: object
                    properties:
                      error:
                        $ref: '#/components/schemas/StoryNotEnoughIpException'
              examples:
                NotEnoughIpException:
                  value:
                    error:
                      code: 126108
                      message: Not enough IP to perform the operation.
                      name: NotEnoughIpException
                      type: client
                    result: null
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ExceptionResponse'
                  - type: object
                    properties:
                      error:
                        oneOf:
                          - $ref: '#/components/schemas/AuthNoTokenException'
                          - $ref: '#/components/schemas/AuthWrongTokenException'
              examples:
                NoTokenException:
                  value:
                    error:
                      code: 101111
                      message: >-
                        No Bearer token has been provided. To obtain an
                        authentication token, follow the instructions at
                        https://docs.p2p.org/docs/authentication.
                      name: NoTokenException
                      type: authentication
                    result: null
                WrongTokenException:
                  value:
                    error:
                      code: 101109
                      message: >-
                        An invalid Bearer token has been provided. Please
                        specify the correct authentication token.
                      name: WrongTokenException
                      type: authentication
                    result: null
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ExceptionResponse'
                  - type: object
                    properties:
                      error:
                        oneOf:
                          - $ref: '#/components/schemas/StoryUnexpectedStakeException'
                          - $ref: '#/components/schemas/StoryValidatorCheckException'
                          - $ref: >-
                              #/components/schemas/StoryValidatorNotFoundException
                          - $ref: >-
                              #/components/schemas/StoryValidatorTokenTypeMismatchException
              examples:
                UnexpectedStakeException:
                  value:
                    error:
                      code: 126109
                      message: >-
                        The stake request could not be created because the
                        internal server error occurred.
                      name: UnexpectedStakeException
                      type: server
                    result: null
                ValidatorCheckException:
                  value:
                    error:
                      code: 126115
                      message: >-
                        It was not possible to check the validator. Please
                        contact support with the following data: network:
                        undefined.
                      name: ValidatorCheckException
                      type: server
                    result: null
                ValidatorNotFoundException:
                  value:
                    error:
                      code: 126116
                      message: >-
                        Validator not found. Please contact support with the
                        following data: network: undefined.
                      name: ValidatorNotFoundException
                      type: server
                    result: null
                ValidatorTokenTypeMismatchException:
                  value:
                    error:
                      code: 126117
                      message: Validator token type mismatch. Please contact support.
                      name: ValidatorTokenTypeMismatchException
                      type: server
                    result: null
      security:
        - bearer: []
components:
  schemas:
    StoryStakeTransactionRequest:
      type: object
      properties:
        amount:
          type: number
          description: Amount to stake in IP
          example: 1024 (minimum)
          format: double
        delegatorAddress:
          type: string
          description: Delegator EVM Story account address
          nullable: false
          example: '0x40A27d5E24C44A5c4a9976b4a46a5FAE74a06e07'
        stakingPeriod:
          type: string
          description: >-
            Staking period. Flexible, SHORT - 90 days, MEDIUM - 360 days, LONG -
            540 days
          enum:
            - FLEXIBLE
            - SHORT
            - MEDIUM
            - LONG
          example: FLEXIBLE
        gas:
          description: >-
            Computational effort required to execute the transaction, measured
            in gas units.
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/StoryGasData'
      required:
        - amount
        - delegatorAddress
        - stakingPeriod
    SuccessResponse:
      type: object
      properties:
        error:
          type: object
          nullable: true
          default: null
          description: Error object. Always null on successful responses.
        result:
          type: object
          description: Response payload containing the requested data.
      description: Standard API success response envelope wrapping the result payload.
      required:
        - error
        - result
    StoryStakeTransactionResponse:
      type: object
      properties:
        amount:
          type: number
          description: Amount in IP.
          example: '1024'
          format: double
        createdAt:
          format: date-time
          type: string
          description: Timestamp when the transaction was created
          example: '2025-05-06T10:10:50.455Z'
          readOnly: true
        delegatorAddress:
          type: string
          description: Delegator EVM Story account address.
          nullable: false
          example: '0x40A27d5E24C44A5c4a9976b4a46a5FAE74a06e07'
        gas:
          description: >-
            Computational effort required to execute the transaction, measured
            in gas units.
          allOf:
            - $ref: '#/components/schemas/StoryGasData'
        stakingPeriod:
          type: string
          description: >-
            Staking period. Flexible, SHORT - 90 days, MEDIUM - 360 days, LONG -
            540 days
          enum:
            - FLEXIBLE
            - SHORT
            - MEDIUM
            - LONG
          example: SHORT
        unsignedTransaction:
          type: string
          description: Serialized unsigned transaction to be signed by the client
          example: >-
            0x02f901188205230d8459682f008459682f0e83030d4094cccccc0000000000000000000000000000000001893782dace9d90000000b8e4564bcc1f0000000000000000000000000000000000000000000000000000000000000060000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000c0000000000000000000000000000000000000000000000000000000000000002103d99d454184facbf6a03ea37eb36f6a50c69842ea3ad42038a8d5537bd15b2594000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000c0
      required:
        - amount
        - createdAt
        - delegatorAddress
        - gas
        - stakingPeriod
        - unsignedTransaction
    ExceptionResponse:
      type: object
      properties:
        error:
          type: object
          description: Error object containing exception details. Null on success.
        result:
          type: object
          nullable: true
          default: null
          description: Result payload. Always null on error responses.
        requestId:
          type: string
          description: >-
            Identifier of the request (the `x-request-id` header). Quote this
            value to correlate the response with server logs.
          example: 90c16e9e-6e99-4651-a033-60290356df2f
        timestamp:
          type: string
          format: date-time
          description: ISO 8601 timestamp of when the error response was generated.
          example: '2026-05-20T22:29:03.126Z'
      description: Standard API error response envelope wrapping the exception details.
      required:
        - error
        - result
        - timestamp
    StoryNotEnoughIpException:
      type: object
      properties:
        type:
          type: string
          default: client
          example: client
          description: Exception category.
        code:
          type: integer
          format: int32
          default: 126108
          example: 126108
          description: Numeric error code identifying the exception type.
        message:
          type: string
          default: Not enough IP to perform the operation.
          example: Not enough IP to perform the operation.
          description: Human-readable error message describing what went wrong.
        name:
          type: string
          default: NotEnoughIpException
          example: NotEnoughIpException
          description: Exception class name for runtime error identification.
      required:
        - type
        - code
        - message
        - name
    AuthNoTokenException:
      type: object
      properties:
        type:
          type: string
          default: authentication
          example: authentication
          description: Exception category.
        code:
          type: integer
          format: int32
          default: 101111
          example: 101111
          description: Numeric error code identifying the exception type.
        message:
          type: string
          default: >-
            No Bearer token has been provided. To obtain an authentication
            token, follow the instructions at
            https://docs.p2p.org/docs/authentication.
          example: >-
            No Bearer token has been provided. To obtain an authentication
            token, follow the instructions at
            https://docs.p2p.org/docs/authentication.
          description: Human-readable error message describing what went wrong.
        name:
          type: string
          default: NoTokenException
          example: NoTokenException
          description: Exception class name for runtime error identification.
      required:
        - type
        - code
        - message
        - name
    AuthWrongTokenException:
      type: object
      properties:
        type:
          type: string
          default: authentication
          example: authentication
          description: Exception category.
        code:
          type: integer
          format: int32
          default: 101109
          example: 101109
          description: Numeric error code identifying the exception type.
        message:
          type: string
          default: >-
            An invalid Bearer token has been provided. Please specify the
            correct authentication token.
          example: >-
            An invalid Bearer token has been provided. Please specify the
            correct authentication token.
          description: Human-readable error message describing what went wrong.
        name:
          type: string
          default: WrongTokenException
          example: WrongTokenException
          description: Exception class name for runtime error identification.
      required:
        - type
        - code
        - message
        - name
    StoryUnexpectedStakeException:
      type: object
      properties:
        type:
          type: string
          default: server
          example: server
          description: Exception category.
        code:
          type: integer
          format: int32
          default: 126109
          example: 126109
          description: Numeric error code identifying the exception type.
        message:
          type: string
          default: >-
            The stake request could not be created because the internal server
            error occurred.
          example: >-
            The stake request could not be created because the internal server
            error occurred.
          description: Human-readable error message describing what went wrong.
        name:
          type: string
          default: UnexpectedStakeException
          example: UnexpectedStakeException
          description: Exception class name for runtime error identification.
      required:
        - type
        - code
        - message
        - name
    StoryValidatorCheckException:
      type: object
      properties:
        type:
          type: string
          default: server
          example: server
          description: Exception category.
        code:
          type: integer
          format: int32
          default: 126115
          example: 126115
          description: Numeric error code identifying the exception type.
        message:
          type: string
          default: >-
            It was not possible to check the validator. Please contact support
            with the following data: network: %s.
          example: >-
            It was not possible to check the validator. Please contact support
            with the following data: network: %s.
          description: Human-readable error message describing what went wrong.
        name:
          type: string
          default: ValidatorCheckException
          example: ValidatorCheckException
          description: Exception class name for runtime error identification.
      required:
        - type
        - code
        - message
        - name
    StoryValidatorNotFoundException:
      type: object
      properties:
        type:
          type: string
          default: server
          example: server
          description: Exception category.
        code:
          type: integer
          format: int32
          default: 126116
          example: 126116
          description: Numeric error code identifying the exception type.
        message:
          type: string
          default: >-
            Validator not found. Please contact support with the following data:
            network: %s.
          example: >-
            Validator not found. Please contact support with the following data:
            network: %s.
          description: Human-readable error message describing what went wrong.
        name:
          type: string
          default: ValidatorNotFoundException
          example: ValidatorNotFoundException
          description: Exception class name for runtime error identification.
      required:
        - type
        - code
        - message
        - name
    StoryValidatorTokenTypeMismatchException:
      type: object
      properties:
        type:
          type: string
          default: server
          example: server
          description: Exception category.
        code:
          type: integer
          format: int32
          default: 126117
          example: 126117
          description: Numeric error code identifying the exception type.
        message:
          type: string
          default: Validator token type mismatch. Please contact support.
          example: Validator token type mismatch. Please contact support.
          description: Human-readable error message describing what went wrong.
        name:
          type: string
          default: ValidatorTokenTypeMismatchException
          example: ValidatorTokenTypeMismatchException
          description: Exception class name for runtime error identification.
      required:
        - type
        - code
        - message
        - name
    StoryGasData:
      type: object
      properties:
        maxFeePerGas:
          type: integer
          format: int64
          description: >-
            Maximum total gas fee (tip + base fee) the sender is willing to pay
            per gas unit.
          example: 100
          minimum: 0
        maxPriorityFeePerGas:
          type: integer
          format: int64
          description: >-
            Amount (in wei) the sender is willing to pay directly to the block
            producer (miner/validator) as incentive.
          example: 100
          minimum: 0
        gasLimit:
          type: integer
          format: int64
          description: Maximum amount of gas units the transaction is allowed to consume.
          example: 21000
          minimum: 0
  responses:
    TooManyRequests:
      description: >-
        Too Many Requests — the client exceeded its rate limit. The response
        advertises when to retry and the active quota via headers.
      headers:
        Retry-After:
          description: Number of seconds to wait before retrying the request.
          schema:
            type: integer
            example: 60
        RateLimit-Limit:
          description: >-
            The request quota (maximum number of requests) for the most
            restrictive applicable window.
          schema:
            type: integer
            example: 120
        RateLimit-Reset:
          description: >-
            Number of seconds until the rate-limit window resets and requests
            are accepted again.
          schema:
            type: integer
            example: 60
        RateLimit-Policy:
          description: >-
            The active rate-limit policy as `<limit>;w=<window-seconds>`,
            comma-separated when multiple windows apply.
          schema:
            type: string
            example: 120;w=60
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: integer
                  name:
                    type: string
                    example: ThrottlerException
                  message:
                    type: string
                    example: ThrottlerException
                  errors:
                    type: array
                    nullable: true
                    items:
                      type: object
              result:
                type: object
                nullable: true
                example: null
              requestId:
                type: string
                description: >-
                  Identifier of the request (the `x-request-id` header). Quote
                  this value to correlate the response with server logs.
                example: 90c16e9e-6e99-4651-a033-60290356df2f
              timestamp:
                type: string
                format: date-time
                description: ISO 8601 timestamp of when the error response was generated.
                example: '2026-05-20T22:29:03.126Z'
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

## Related topics

- [Create an unstaking transaction](/reference/story-staking-unstake.md)
- [Create Staking Request](/reference/solana-staking-stake.md)
